import React from 'react';
import './index.css';
import { login } from '@/utils/requests/user/login';

const handleLogin = async (event: React.FormEvent<HTMLFormElement>) => {
    event.preventDefault();
    const formData = new FormData(event.currentTarget);
    console.log(formData);
    
    const username = formData.get('username') as string;
    const password = formData.get('password') as string;
    const response = await login(username, password);
    console.log(response);
}

const LoginPage: React.FC = () => {
    return (
        <div className="container">
            <h1>Login</h1>
            <form className="form" onSubmit={handleLogin}>
                <input type="text" name="username" placeholder="Username" />
                <input type="password" name="password" placeholder="Password" />
                <button type="submit">Login</button>
                <p className="message">Not registered? <a href="/register">Create an account</a></p>
            </form>
        </div>
    );
};

export default LoginPage;

