import API from "@/utils/requests/API";
import { IUser } from "../../../../../types/user";

type LoginResponse = {
    token: string;
    user: IUser;
    success: boolean;
    message: string;
};

export const login = async (email: string, password: string): Promise<LoginResponse> => {
  const response = await API.post<LoginResponse>('/login', { email, password });
  return response;
};