import { createHmac } from "crypto";
import jwt from "jsonwebtoken";
import { ObjectId } from "mongodb";
import { Role } from "../../../types/user";

export const createToken = (id: ObjectId, pass: string, roles: Role[]): string => {
  return jwt.sign({ id, pass }, process.env.SECRET!, { expiresIn: "30d", audience: roles, algorithm: "HS512" });
}

export const passwordHash = (password: string): string => {
  return createHmac('sha512', process.env.SECRET!).update(password).digest('hex');
}
